cdde(1)

NAME

cdde - Compact Disc Detect & Execute

SYNOPSIS

cdde [-c filename] [-rbvVh]

DESCRIPTION

cdde is a program that detects when a cdrom drive on your system has had a disc inserted.

When it finds a disc inserted in the drive it will attempt to determine the type of the disc, and execute a specified command.

This means you can put in a dvd and your favorite dvd software will start, or put in a data cd and it will be automatically mounted for you.

Right now cdde can detect the following types of discs:
        * audio cd
        * data cd
        * dvd
        * mixed audio/data cd
        * vcd
        * svcd
        * blank cdr/dvdr

For now the dvd checking is just a bit of magic that checks to see if there's a "video_ts" directory on the disc. Same goes for the vcd checking: it just looks for a "vcd" directory on the disc.

cdde reads its configuration from "~/.cdde.xml" unless otherwise specified on the command line.

OPTIONS

-r, --run
    Run commands on disc already in drive when is started.

-b, --batch
    Batch mode: check all drives once then exit. (implies -r)

-c, --config <filename>
    Use the config file <filename>. (Default is ~/.cdde.xml)

-v, --verbose
    Print out lots of information.

-V, --version
    Print out version information.

-h, --help
    Print Display this help and exit.

FILES

~/.cdde.xml

SEE ALSO

cdde.xml(5)

AUTHORS

Eric Lathrop <eric@ericlathrop.com>
Stanislav Maslovski <stanislav.maslovski@gmail.com>

WEBSITE
For the latest release of cdde, see:
http://cdde.sourceforge.net/